var express = require('express')
var xml = require('js2xmlparser')
var router = express.Router()
var squel = require('squel')

var libs = process.cwd() + '/libs/'

var log = require(libs + 'log')(module)
var config = require(libs + 'config')

var conn = require(libs + 'db/monet')

var query = require(libs + 'middlewares/query')

function response(req, res) {
    console.log('respostas :)')
    if (req.query.format === 'csv') {
        res.csv(req.result.data)
    } else if (req.query.format === 'xml') {
        res.send(xml("result", JSON.stringify({state: req.result.data})))
    }
    else {
        res.json({
            result: req.result.data
        })
    }
}

router.get('/', function(req, res, next) {
    req.query = squel.select().from('estados').toParam()
    next()
}, query, response)

router.get('/:id', function(req, res, next) {
    req.query = squel.select().from('estados').where('pk_estado_id = ?', parseInt(req.params.id, 10)).toParam()
    next()
}, query, response)

router.get('/region/:id', function(req, res, next) {
    req.query = squel.select().from('estados').where('fk_regiao_id = ?', parseInt(req.params.id, 10)).toParam()
    next()
}, query, response)

module.exports = router
